﻿$checksum = '03252ed74a9ab5a5c676497f87e6587fe237c8635f0adb117e9655c55cf0fc4c'
$url = 'https://downloads.plex.tv/plex-media-server-new/1.19.3.2843-e3c1f7bcd/windows/PlexMediaServer-1.19.3.2843-e3c1f7bcd-x86.exe'

Start-CheckandStop "Plex Media Server"

$packageArgs = @{
  packageName   = 'plexmediaserver'
  unzipLocation = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
  fileType      = 'exe'
  url           = $url
  silentArgs    = '/quiet'
  validExitCodes= @(0)
  softwareName  = 'plexmediaserver*'
  checksum      = $checksum
  checksumType  = 'sha256'
}

Install-ChocolateyPackage @packageArgs

if ($ProcessWasRunning -eq "True") {&$ProcessFullPath}
